Subject: bug#69056: 30.0.50; history-add-new-input and recursive minibuffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Feb 2024 21:27:44 +0200

> Cc: [email-masked]
> Date: Thu, 15 Feb 2024 12:56:43 -0500
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > Thanks, that's what I thought too.  Here's an attempt do just that:
> 
> Looks pretty good.

Is this really worthwhile?  It might solve some problems with commands
invoked from the recursive edit, but it doesn't solve all of them,
because the value of history-add-new-input is still set in that
minibuffer.  And it introduces tricky effects due to the variable
being buffer-local for any code that let-binds history-add-new-input,
and could potentially break something because of that.

I'm afraid I don't like this change, for those reasons.